Skip to main content

Gets a role

GET 

https://apis.<domain>/iam/roles/:id

Returns the details for a role.

Authorization Action:

iam:roles:get

Request

Path Parameters

    id stringrequired

    ID of the role.

Responses

A successful response.

Schema
    role object
    namestring

    Name for the role.

    idstring

    Unique ID. Cannot be changed.

    typecompiuta.api.iam.v2.Type (string)

    Possible values: [COMPIUTA_MANAGED, CUSTOM]

    Default value: COMPIUTA_MANAGED
    actionsstring[]

    List of actions this role scopes to. Will contain one or more.

    tenantsstring[]

    List of tenants this role belongs to. May be empty.

var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://apis.<domain>/iam/roles/:id");
request.Headers.Add("Accept", "application/json");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
Request Collapse all
Base URL
https://apis.<domain>
Parameters
— pathrequired